Create Attachment
Uploads a file to a work order. The file can be an image, PDF, or other document types. The maximum file size is 5MB.
Authentication
x-api-keystring
API Key authentication via header
Path parameters
workOrderId
The id of the work order
Request
This endpoint expects a multipart form containing a file.
file
idempotencyId
type
Type of attachment
Allowed values:
createdById
The ID of the user who created the attachment
name
The name of the file, if not provided, the name will be taken from the file.
Response
The created attachment
name
url
Storage reference for the file. It is not fetchable. Request a short-lived link from GET /workOrders/{workOrderId}/attachments/{attachmentId}/downloadUrl.
type
Allowed values:
createdAt
updatedAt
workOrderId
propertyId
organizationId
notes
id
readableId
idempotencyId
deletedAt
householdId
customerId
household
customer
workOrder
property
organization

